%define upstream_name    DBIx-Class-DynamicDefault
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Automatically set and update fields
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBICx::TestDatabase)
BuildRequires: perl(DBIx::Class) >= 0.81.270
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildArch:  noarch

%{?perl_default_filter}

%description
Automatically set and update fields with values calculated at runtime.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-13.mga8
+ Revision: 1503643
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.40.0-12.mga7
+ Revision: 1282601
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.40.0-11.mga7
+ Revision: 1163948
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.40.0-10.mga7
+ Revision: 1159024
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-9.mga6
+ Revision: 1025458
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-8.mga6
+ Revision: 948796
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.40.0-7.mga5
+ Revision: 788435
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-6.mga5
+ Revision: 739842
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.40.0-5.mga5
+ Revision: 735549
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 684110
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 510396
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 365116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 254736
- update to 0.04

* Wed Jan 26 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 39985
- mageia rebuild
- cleaning spec file
- imported package perl-DBIx-Class-DynamicDefault

